=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2008-10-10 19:15:19 +0000
+++ bzrlib/builtins.py	2008-10-12 16:11:17 +0000
@@ -1090,7 +1090,14 @@
             old_tree.lock_read()
             try:
                 old_inv = old_tree.inventory
-                renames = list(_mod_tree.find_renames(old_inv, new_inv))
+                renames = []
+                iterator = tree.iter_changes(old_tree, include_unchanged=True)
+                for f, paths, c, v, p, n, k, e in iterator:
+                    if paths[0] == paths[1]:
+                        continue
+                    if None in (paths):
+                        continue
+                    renames.append(paths)
                 renames.sort()
                 for old_name, new_name in renames:
                     self.outf.write("%s => %s\n" % (old_name, new_name))

=== modified file 'bzrlib/tree.py'
--- bzrlib/tree.py	2008-09-26 23:55:32 +0000
+++ bzrlib/tree.py	2008-10-12 16:14:53 +0000
@@ -37,6 +37,7 @@
 from bzrlib.inter import InterObject
 from bzrlib.osutils import fingerprint_file
 import bzrlib.revision
+from bzrlib.symbol_versioning import deprecated_function, deprecated_in
 from bzrlib.trace import mutter, note
 
 
@@ -649,7 +650,7 @@
     return 'wtf?'
 
     
-
+@deprecated_function(deprecated_in((1, 9, 0)))
 def find_renames(old_inv, new_inv):
     for file_id in old_inv:
         if file_id not in new_inv:
@@ -658,7 +659,7 @@
         new_name = new_inv.id2path(file_id)
         if old_name != new_name:
             yield (old_name, new_name)
-            
+
 
 def find_ids_across_trees(filenames, trees, require_versioned=True):
     """Find the ids corresponding to specified filenames.

